<div class="biomark-modal" ng-if="$ctrl.window == 2">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="$ctrl.close()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="modal-body-sm text-center">
            <div class="modal-custom-icon-green">
                <i class="material-icons md-50 bio-m-icon">check</i>
            </div>
            <p class="warning-msg">Your message has been sent!</p>
            <p class="warning-description">Your patient will be notified on their BioMark app.</p>
            <p>
                <a href="" class="back" ng-click="$ctrl.close()">Close</a>
            </p>
            <br>
        </div>
    </div>
</div>
<div class="biomark-modal" ng-if="$ctrl.window == 1">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="$ctrl.close()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="modal-header">
            <div class="message_popup_title">
                <p class="title-label">Send Message</p>
                <p class="title-sub-label">Your patient will be notified on their BioMark app.</p>
            </div>
        </div>
        <div class="modal-body-sm text-center" style="padding: 20px 30px 20px 30px">
            <div class="patient-message-info-wrapper">
                <div ng-if="$ctrl.processing">
                    <lines class="shine"></lines>
                    <lines class="shine"></lines>
                    <lines-sm class="shine"></lines-sm>
                </div> 
                <div class="patient-img" ng-if="!$ctrl.processing">
                    <div ng-if="$ctrl.patient.picture != null">
                        <img style="height:70px !important;width: 70px !important" ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient.picture}}" class="profile" style="border-radius: 50%"
                            height="70" width="70">
                    </div>
                    <div class="temporary_picture" style="text-transform: uppercase;" ng-if="$ctrl.patient.picture == null">
                        {{$ctrl.patient.first_name[0]}}{{$ctrl.patient.last_name[0]}}
                    </div>
                </div>
                <div class="patient-info-label" ng-if="!$ctrl.processing">
                    <p class="patient-name">{{$ctrl.patient.first_name}} {{$ctrl.patient.last_name}}</p>
                    <p class="patient-mobile">{{$ctrl.patient.mobile}}</p>
                </div>
            </div>
            <form ng-submit="$ctrl.send_message()">
                <div class="patient-msg-box">
                    <p class="msg-box-label">Message</p>
                    <div class="patient-txt-box">
                        <textarea 
                            ng-model="$ctrl.textbox" 
                            placeholder="..." 
                            maxlength="320">
                            See me next week
                            
                        </textarea>
                        <p class="msg-box-counter">{{320 - $ctrl.textbox.length}}  characters remaining</p>
                    </div>
                </div>
                <button type="submit" class="btn btn-danger biomark-btn-primary">Send Message</button>
            </form>
        </div>
    </div>
</div>
